Bobby R. Bruce has uploaded this change for review. ( https://gem5-review.googlesource.com/c/public/gem5/+/47223 )

Change subject: tests,util-gem5art: Add presubmit tests for gem5art
......................................................................

tests,util-gem5art: Add presubmit tests for gem5art

Change-Id: I7c10155e74de1a073fda861d498632c1d4be42b9
---
M .gitignore
A tests/jenkins/gem5arts-tests.sh
M tests/jenkins/presubmit.sh
3 files changed, 81 insertions(+), 11 deletions(-)



diff --git a/.gitignore b/.gitignore
index a195609..90a6bb2 100644
--- a/.gitignore
+++ b/.gitignore
@@ -30,3 +30,4 @@
 /system/arm/bootloader/arm64/boot_v2.arm64
 configs/example/memcheck.cfg
 configs/dram/lowp_sweep.cfg
+.pyenv
diff --git a/tests/jenkins/gem5arts-tests.sh b/tests/jenkins/gem5arts-tests.sh
new file mode 100755
index 0000000..4fcabd2
--- /dev/null
+++ b/tests/jenkins/gem5arts-tests.sh
@@ -0,0 +1,64 @@
+#!/bin/bash
+#
+# Copyright (c) 2021 The Regents of the University of California
+# All rights reserved
+#
+# The license below extends only to copyright in the software and shall
+# not be construed as granting a license to any other intellectual
+# property including but not limited to intellectual property relating
+# to a hardware implementation of the functionality of the software
+# licensed hereunder.  You may use the software subject to the license
+# terms below provided that you ensure that this notice is replicated
+# unmodified and in its entirety in all distributions of the software,
+# modified or unmodified, in source code or in binary form.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met: redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer;
+# redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution;
+# neither the name of the copyright holders nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+# Creating a virtual environment allows us to cleanly install the packages
+# within a Docker container.
+mkdir -p .pyenv
+python3 -m venv .pyenv
+source .pyenv/bin/activate
+
+# Install the package
+pip install -e util/gem5art/artifact
+pip install -e util/gem5art/run
+pip install -e util/gem5art/tasks
+
+# Run the gem5art artificat tests.
+cd util/gem5art/artifact
+python3 -m unittest
+mypy -p gem5art.artifact
+
+# Run the gem5art run tests.
+cd ../run
+python3 -m unittest
+mypy -p gem5art.run
+
+# Run the gem5art task tests.
+cd ../tasks
+python3 -m unittest
+mypy -p gem5art.tasks
\ No newline at end of file
diff --git a/tests/jenkins/presubmit.sh b/tests/jenkins/presubmit.sh
index 5dc5016..c750793 100755
--- a/tests/jenkins/presubmit.sh
+++ b/tests/jenkins/presubmit.sh
@@ -37,22 +37,27 @@

 set -e

-DOCKER_IMAGE_ALL_DEP=gcr.io/gem5-test/ubuntu-20.04_all-dependencies
+DOCKER_IMAGE_ALL_DEP=bla #gcr.io/gem5-test/ubuntu-20.04_all-dependencies
 DOCKER_IMAGE_CLANG_COMPILE=gcr.io/gem5-test/clang-version-9
 PRESUBMIT_STAGE2=tests/jenkins/presubmit-stage2.sh
+GEM5ART_TESTS=tests/jenkins/gem5arts-tests.sh

 # Move the docker base directory to tempfs.
-sudo /etc/init.d/docker stop
-sudo mv /var/lib/docker /tmpfs/
-sudo ln -s /tmpfs/docker /var/lib/docker
-sudo /etc/init.d/docker start
+#sudo /etc/init.d/docker stop
+#sudo mv /var/lib/docker /tmpfs/
+#sudo ln -s /tmpfs/docker /var/lib/docker
+#sudo /etc/init.d/docker start

 # Move the CWD to the gem5 checkout.
-cd git/jenkins-gem5-prod/
+# cd git/jenkins-gem5-prod/

# Using a docker image with all the dependencies, we run the presubmit tests.
 docker run -u $UID:$GID --volume $(pwd):$(pwd) -w $(pwd) --rm \
-    "${DOCKER_IMAGE_ALL_DEP}" "${PRESUBMIT_STAGE2}"
+    "${DOCKER_IMAGE_ALL_DEP}" "${GEM5ART_TESTS}"
+
+# Using a docker image with all the dependencies, we run the presubmit tests.
+#docker run -u $UID:$GID --volume $(pwd):$(pwd) -w $(pwd) --rm \
+ #   "${DOCKER_IMAGE_ALL_DEP}" "${PRESUBMIT_STAGE2}"

 # DOCKER_IMAGE_ALL_DEP compiles gem5.opt with GCC. We run a compilation of
 # gem5.fast on the Clang compiler to ensure changes are compilable with the
@@ -60,7 +65,7 @@
# ARM_MESI_Three_Level_HTM at this point. Further compiler tests are carried
 # out as part of our weekly "Compiler Checks" tests:
 # http://jenkins.gem5.org/job/Compiler-Checks.
-rm -rf build
-docker run -u $UID:$GID --volume $(pwd):$(pwd) -w $(pwd) --rm \
-    "${DOCKER_IMAGE_CLANG_COMPILE}" /usr/bin/env python3 /usr/bin/scons \
-    build/ARM_MESI_Three_Level_HTM/gem5.fast -j4 --no-compress-debug
+#rm -rf build
+#docker run -u $UID:$GID --volume $(pwd):$(pwd) -w $(pwd) --rm \
+#    "${DOCKER_IMAGE_CLANG_COMPILE}" /usr/bin/env python3 /usr/bin/scons \
+#    build/ARM_MESI_Three_Level_HTM/gem5.fast -j4 --no-compress-debug

--
To view, visit https://gem5-review.googlesource.com/c/public/gem5/+/47223
To unsubscribe, or for help writing mail filters, visit https://gem5-review.googlesource.com/settings

Gerrit-Project: public/gem5
Gerrit-Branch: develop
Gerrit-Change-Id: I7c10155e74de1a073fda861d498632c1d4be42b9
Gerrit-Change-Number: 47223
Gerrit-PatchSet: 1
Gerrit-Owner: Bobby R. Bruce <[email protected]>
Gerrit-MessageType: newchange
_______________________________________________
gem5-dev mailing list -- [email protected]
To unsubscribe send an email to [email protected]
%(web_page_url)slistinfo%(cgiext)s/%(_internal_name)s

Reply via email to